Bug 462459 - Update CIFS for RHEL4.8
Summary: Update CIFS for RHEL4.8
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jeff Layton
QA Contact: Martin Jenner
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-09-16 14:15 UTC by Jeff Layton
Modified: 2014-06-18 07:38 UTC (History)
5 users (show)

(edit)
The Common Internet File System (CIFS) code has been updated in Red Hat Enterprise Linux 4.8, fixing a number of bugs that had been repaired in upstream, including the following change:

Previously, when mounting a server without Unix extensions, it was possible to change the mode of a file. However, this mode change could not be permanently stored, and may have changed back to the original mode at any time. With this update, the mode of the file cannot be temporarily changed by default; chmod() calls will return success, but have no effect. A new mount option, "dynperm" needs to be used if the old behavior is required.
Clone Of:
(edit)
Last Closed: 2009-05-18 19:31:36 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1024 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 4.8 kernel security and bug fix update 2009-05-18 14:57:26 UTC

Description Jeff Layton 2008-09-16 14:15:33 UTC
Placeholder bug for the patches I want to backport for CIFS in RHEL4.8. I have several bugs open that need to be fixed. There are also some bugs in RHEL that have gone unreported but that have upstream fixes.

I'm not intending nearly as large a backport for 4.8 as I did for 5.3, but I can forsee pulling in the changes that get rid of ephemeral modes.

Comment 2 RHEL Product and Program Management 2008-09-16 14:44:22 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 Vivek Goyal 2009-01-05 14:19:36 UTC
Committed in 78.23.EL . RPMS are available at http://people.redhat.com/vgoyal/rhel4/

Comment 10 Jeff Layton 2009-02-03 17:05:38 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
This is a tough one to fill out release note info. I've updated the CIFS code in RHEL4.8 to more or less track upstream changes. I'm not sure the FutureFeature tag really applies here. We didn't really introduce any new features here, just fixed bugs known to be present in RHEL4's codebase, but that had been fixed upstream.

Cause: various bugs in RHEL4.7 kernel

Consequence: depends on the bug

Fix: patches were applied from upstream CIFS development to fix problems known to be in the RHEL4 codebase, but that weren't necessarily reported by customers

Result: the known bugs were fixed

Comment 14 Jeff Layton 2009-04-06 23:24:21 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -6,4 +6,10 @@
 
 Fix: patches were applied from upstream CIFS development to fix problems known to be in the RHEL4 codebase, but that weren't necessarily reported by customers
 
-Result: the known bugs were fixed+Result: the known bugs were fixed. There is also one significant user-visible change:
+
+Previously when mounting a server without unix extensions, it was possible to change the mode of a file. This mode couldn't be permanently stored and was susceptible to change back to the original mode at any time.
+
+With this patchset, this is no longer the case. The mode of a file cannot be temporarily changed like this. chmod() calls will return success but they have no effect.
+
+It's possible that users were relying on this older, broken behavior so there is a new "dynperm" mount option that allows users to reenable it.

Comment 16 Ryan Lerch 2009-04-08 01:38:30 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1,15 +1,3 @@
-This is a tough one to fill out release note info. I've updated the CIFS code in RHEL4.8 to more or less track upstream changes. I'm not sure the FutureFeature tag really applies here. We didn't really introduce any new features here, just fixed bugs known to be present in RHEL4's codebase, but that had been fixed upstream.
+The Common Internet File System (CIFS) code has been updated in Red Hat Enterprise Linux 4.8, fixing a number of bugs that had been repaired in upstream, including the following change:
 
-Cause: various bugs in RHEL4.7 kernel
+Previously, when mounting a server without Unix extensions, it was possible to change the mode of a file. However, this mode change could not be permanently stored, and may have changed back to the original mode at any time. With this update, the mode of the file cannot be temporarily changed by default; chmod() calls will return success, but have no effect. A new mount option, "dynperm" needs to be used if the old behavior is required.-
-Consequence: depends on the bug
-
-Fix: patches were applied from upstream CIFS development to fix problems known to be in the RHEL4 codebase, but that weren't necessarily reported by customers
-
-Result: the known bugs were fixed. There is also one significant user-visible change:
-
-Previously when mounting a server without unix extensions, it was possible to change the mode of a file. This mode couldn't be permanently stored and was susceptible to change back to the original mode at any time.
-
-With this patchset, this is no longer the case. The mode of a file cannot be temporarily changed like this. chmod() calls will return success but they have no effect.
-
-It's possible that users were relying on this older, broken behavior so there is a new "dynperm" mount option that allows users to reenable it.

Comment 18 errata-xmlrpc 2009-05-18 19:31:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1024.html


Note You need to log in before you can comment on or make changes to this bug.